{

	//幽灵显示/隐藏测试脚本

    "AbilityName" : "TestPlayer_Ability_Tianheng_48",

    "AbilityStacking": "Unique",



    "OnAbilityStart":

    [

        {

            "$type" : "MoleMole.ApplyModifier",

            "ModifierName" : "VisibleModifier",

            "Target" : "Custom",

            "CustomKey" : "UnagiGhost_AbilityTargetting_01",

            "Predicates" :

            [

                {

                    "$type" : "MoleMole.ByAbilitySpecial",

                    "ParamName": "AS_GhostState",

                    "Target" : "Custom",

                    "CustomKey" : "UnagiGhost_AbilityTargetting_01",

                    "ParamType": "int",

                    "CompareType": "Equal",

                    "Param" : 0

                }

            ]

        },

        {

            "$type" : "MoleMole.ApplyModifier",

            "ModifierName" : "InvisibleModifier",

            "Target" : "Custom",

            "CustomKey" : "UnagiGhost_AbilityTargetting_01",

            "Predicates" :

            [

                {

                    "$type" : "MoleMole.ByAbilitySpecial",

                    "ParamName": "AS_GhostState",

                    "Target" : "Custom",

                    "CustomKey" : "UnagiGhost_AbilityTargetting_01",

                    "ParamType": "int",

                    "CompareType": "Equal",

                    "Param" : 1

                }

            ]

        },

    ],



    "Modifiers" : 

    {

        "VisibleModifier" : 

        {

            "ModifierStacking" : "MultipleRefresh",

            "Duration" : 0.01,

            "IgnoreTimeScale" : true,



            "OnAdded":

            [

                {  

                    "$type" : "MoleMole.FireEffect",

                    "EffectPattern" : "Eff_Avatar_LevelUp_01",

                    "Target" : "Self",

                },

                {

                    "$type" : "MoleMole.PopEntityVisibleWithTagAction",

                    "Target" : "Self",

                    "Tag" : "UnagiGhost"

                }

            ],



            "OnRemoved":

            [

                {

                    "$type": "MoleMole.SetAbilitySpecialAction",

                    "ParamName": "AS_GhostState",

                    "ParamType": "int",

                    "ModifyFunction": "Replace",

                    "Param": 1

                }

            ]

        },



        "InvisibleModifier" : 

        {

            "ModifierStacking" : "MultipleRefresh",

            "Duration" : 0.01,

            "IgnoreTimeScale" : true,



            "OnAdded":

            [

                {  

                    "$type" : "MoleMole.FireEffect",

                    "EffectPattern" : "Eff_Avatar_LevelUp_02",

                    "Target" : "Self",

                },

                {

                    "$type" : "MoleMole.PushEntityVisibleWithTagAction",

                    "Target" : "Self",

                    "Visible" : false,

                    "Tag" : "UnagiGhost"

                }

            ],



            "OnRemoved":

            [

                {

                    "$type": "MoleMole.SetAbilitySpecialAction",

                    "ParamName": "AS_GhostState",

                    "ParamType": "int",

                    "ModifyFunction": "Replace",

                    "Param": 0

                }

            ]

        },

    },



    "AbilitySpecials" : 

    {

        //0代表隐藏，1代表显示

        "AS_GhostState" :

        {

            "Value" : 1

        }

    }

}